GlueGen: com.jogamp.common.net.TestUri01 Class Reference

GlueGen v2.6.0-rc-20250721 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Static Public Member Functions | List of all members
com.jogamp.common.net.TestUri01 Class Reference
Inheritance diagram for com.jogamp.common.net.TestUri01:
Collaboration diagram for com.jogamp.common.net.TestUri01:

## Public Member Functions

void | test00BasicCoding () throws IOException, URISyntaxException
void | test02URIEscapeSpecialChars () throws IOException, URISyntaxException
void | test03URIEscapeCommonChars () throws IOException, URISyntaxException
void | test04EqualsAndHashCode () throws IOException, URISyntaxException
void | test05Contained () throws IOException, URISyntaxException
void | test08NormalizedHierarchy () throws IOException, URISyntaxException
void | test09NormalizedOpaque () throws IOException, URISyntaxException
void | test10ParentAndDirHierarchy () throws IOException, URISyntaxException
void | test11ParentAndDirOpaque () throws IOException, URISyntaxException
Public Member Functions inherited from com.jogamp.junit.util.JunitTracer
final String | getTestMethodName ()
final String | getSimpleTestName (final String separator)
final String | getFullTestName (final String separator)
final void | setUpBase ()
final void | tearDownBase ()

## Static Public Member Functions

static void | main (final String args[]) throws IOException
Static Public Member Functions inherited from com.jogamp.junit.util.SingletonJunitCase
static final void | enableSingletonLock (final boolean v)
| Default is `true`. More...
static final void | oneTimeSetUpSingleton ()
static final void | oneTimeTearDownSingleton ()
Static Public Member Functions inherited from com.jogamp.junit.util.JunitTracer
static final boolean | isTestSupported ()
static final void | setTestSupported (final boolean v)
static final void | oneTimeSetUpBase ()
static final void | oneTimeTearDownBase ()
static void | waitForKey (final String preMessage)

## Additional Inherited Members

Public Attributes inherited from com.jogamp.junit.util.JunitTracer
final TestName | _unitTestName = new TestName()
Static Public Attributes inherited from com.jogamp.junit.util.SingletonJunitCase
static final String | SINGLE_INSTANCE_LOCK_FILE = "SingletonTestCase.lock"
static final int | SINGLE_INSTANCE_LOCK_PORT = 59999
static final long | SINGLE_INSTANCE_LOCK_TO = 15*60*1000
static final long | SINGLE_INSTANCE_LOCK_POLL = 500

## Detailed Description

Definition at line 19 of file TestUri01.java.

## Member Function Documentation

## ◆ main()

static void com.jogamp.common.net.TestUri01.main | ( | final String | args[] | ) | throws IOException

static

Definition at line 457 of file TestUri01.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ test00BasicCoding()

void com.jogamp.common.net.TestUri01.test00BasicCoding | ( |  | ) | throws IOException, URISyntaxException

Definition at line 22 of file TestUri01.java.

Here is the call graph for this function:

## ◆ test02URIEscapeSpecialChars()

void com.jogamp.common.net.TestUri01.test02URIEscapeSpecialChars | ( |  | ) | throws IOException, URISyntaxException

Definition at line 81 of file TestUri01.java.

Here is the call graph for this function:

## ◆ test03URIEscapeCommonChars()

void com.jogamp.common.net.TestUri01.test03URIEscapeCommonChars | ( |  | ) | throws IOException, URISyntaxException

Definition at line 118 of file TestUri01.java.

Here is the call graph for this function:

## ◆ test04EqualsAndHashCode()

void com.jogamp.common.net.TestUri01.test04EqualsAndHashCode | ( |  | ) | throws IOException, URISyntaxException

Definition at line 162 of file TestUri01.java.

Here is the call graph for this function:

## ◆ test05Contained()

void com.jogamp.common.net.TestUri01.test05Contained | ( |  | ) | throws IOException, URISyntaxException

Definition at line 213 of file TestUri01.java.

Here is the call graph for this function:

## ◆ test08NormalizedHierarchy()

void com.jogamp.common.net.TestUri01.test08NormalizedHierarchy | ( |  | ) | throws IOException, URISyntaxException

Definition at line 249 of file TestUri01.java.

Here is the call graph for this function:

## ◆ test09NormalizedOpaque()

void com.jogamp.common.net.TestUri01.test09NormalizedOpaque | ( |  | ) | throws IOException, URISyntaxException

Definition at line 302 of file TestUri01.java.

Here is the call graph for this function:

## ◆ test10ParentAndDirHierarchy()

void com.jogamp.common.net.TestUri01.test10ParentAndDirHierarchy | ( |  | ) | throws IOException, URISyntaxException

Definition at line 334 of file TestUri01.java.

Here is the call graph for this function:

## ◆ test11ParentAndDirOpaque()

void com.jogamp.common.net.TestUri01.test11ParentAndDirOpaque | ( |  | ) | throws IOException, URISyntaxException

Definition at line 396 of file TestUri01.java.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- src/junit/com/jogamp/common/net/TestUri01.java